Bug 832664 - [abrt] exaile-0.3.2.2-3.fc17: properties.py:766:set_value:ValueError: could not convert string to float: KSM
[abrt] exaile-0.3.2.2-3.fc17: properties.py:766:set_value:ValueError: could n...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:d00ac108ea133d03015228d675b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 06:07 EDT by Rudra
Modified: 2012-12-20 10:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:58:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudra 2012-06-16 06:07:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
comment:        I clicked on Track Properties in Tools Menu, then i got this error.
executable:     /usr/share/exaile/exaile.py
kernel:         3.4.0-1.fc17.x86_64
time:           Sat 16 Jun 2012 03:36:04 PM IST
uid:            1000
username:       rudra

backtrace:
:properties.py:766:set_value:ValueError: could not convert string to float: KSM
:
:Traceback (most recent call last):
:  File "/usr/share/exaile/xlgui/__init__.py", line 388, in on_track_properties
:    if not pl.properties_dialog():
:  File "/usr/share/exaile/xlgui/playlist.py", line 157, in properties_dialog
:    tracks, selected)
:  File "/usr/share/exaile/xlgui/properties.py", line 129, in __init__
:    self._build_from_track(self.current)
:  File "/usr/share/exaile/xlgui/properties.py", line 258, in _build_from_track
:    self.rows.append(TagRow(self, self.tags_table, f, tag, entry, i))
:  File "/usr/share/exaile/xlgui/properties.py", line 504, in __init__
:    self.field.set_value(value, all_vals)
:  File "/usr/share/exaile/xlgui/properties.py", line 766, in set_value
:    self.field[x].set_value(float(vals[x]))
:ValueError: could not convert string to float: KSM
:
:Local variables in innermost frame:
:val: u'KSM/0'
:self: <TagDblNumField object at 0x2e0d7d0 (GtkHBox at 0x2c730b0)>
:doupdate: True
:vals: [u'KSM', u'0']
:x: 0
:all_val: [u'255/0', u'KSM/0', '/0', u'KSM/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', u'KSM/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0']

smolt_data:
:
:
:General
:=================================
:UUID: 8d57ce7c-2023-4322-9460-7fcbf71a8fae
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4789.40
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2430M CPU @ 2.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2401
:System Memory: 3863
:System Swap: 2129
:Vendor: Dell Inc.
:System: Inspiron N5050 Not Specified
:Form factor: Portable
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7243:4136:1284) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(5348:18215:4136:18) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:278:4136:1284) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:4136:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:4136:1284) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4136:1284) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33078:4136:1284) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:7171:4136:1284) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1284) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1284) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda10 / ext4 4096 4096 24381391 15090219 14846097 6051552 5454339 5454339
:
Comment 1 Fedora Update System 2012-09-24 19:27:20 EDT
exaile-3.3.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/exaile-3.3.0-1.fc17
Comment 2 Fedora Update System 2012-09-24 19:27:58 EDT
exaile-3.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/exaile-3.3.0-1.fc18
Comment 3 Fedora Update System 2012-09-25 02:05:09 EDT
Package exaile-3.3.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-3.3.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14740/exaile-3.3.0-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:58:52 EST
exaile-3.3.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.